LINUX.ORG.RU

ReactOS 0.4.5

 , ,


1

2

18 мая 2017 года в свет вышел новый релиз ReactOS под номером 0.4.5, и за 5 дней его скачали почти 30 000 раз с официальных зеркал.

За три месяца с прошедшего релиза было исправлено 179 ошибок. Главным нововведением стала поддержка Microsoft Office 2010. Для экспериментов с ним нужно поставить специальную версию Samba из менеджера приложений.

Большое внимание уделено усовершенствованию интерфейса системы, значительно улучшена обработка кириллических и азиатских шрифтов, устранены почти все ранее присутствовавшие недоработки в движке тем оформления. Кроме того, активирована функция выбора используемого бэкенда OpenGL, а в менеджер загрузок добавлена актуальная версия Mesa 3D.

Известные проблемы

Для наиболее продуктивных экспериментов в виртуальных средах не используйте более 90 Мб видеопамяти, а на реальных компьютерах полностью отключайте многоканальные звуковые карты. ReactOS также пока не переваривает конфигурации с более чем одной звуковой картой, по возможности старайтесь их избегать.

Разработчик Вадим Галянт подготовил специальную версию дистрибутива, которая поддерживает загрузку через USB.

Официальная новость

Список изменений

Альтернативный список изменений

>>> Страница загрузки

Ответ на: комментарий от dexpl

Скомпилял, но не опакетил? Зря.

Зачем пакетить, если просто тестировал. И тут оказалось что базовый набор 32 битных либ отсутствует и устанавливать его поштучно, непросто.

А для компиляции требовал соответствующие -devel. Вот и ответ.

Не требовал:) Он вообще в другом дистре компилировался.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Нет у винды репа. Вот просто нет. Нужна какая-то утилита - броди где хочешь.

man chocolatey

anonymous ()
Ответ на: комментарий от Napilnik

И тут оказалось что базовый набор 32 битных либ отсутствует и устанавливать его поштучно, непросто.

Убери -devel от имён пакетов для компиляции и будет тебе список.

NextGenenration ★★ ()
Ответ на: комментарий от hobbit

А зачем в центосе запускать виндовый mplayer, если в линуксе есть родной?

Так протестил запуск собранного в вайне, в другом дистре, бинаря - не заработал. Что за фигня? Тогда протестил то, что 100% имеет правильный формат - и оно тоже не заработало. Ясно что эмплаер нужен был не для просмотра фильмов.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Удобный пакетный менеджер удобен.

Он и метапакеты сам ментейнерит.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

У тебя странные требования. Опакетить? Зачем? Статически собрать? Зачем? Зато вот видите - не работает.

NextGenenration ★★ ()
Ответ на: комментарий от Napilnik

Почему твои волшебные ментейнеры например не перенесли с винды свободный кодек lagarith?

Да кому он нахрен нужен в этом десятилетии? Есть же x264 c "-crf 0".

anonymous ()
Ответ на: комментарий от NextGenenration

Так попроси автора. Авось научится делать не прибитые гвоздями решения.

Тут смеяться или плакать нужно? Не в курсе, как на такой «реальный» совет реагировать.

Собрать пакет и обратится к мейнтерам. Если по лицензии пакет подходит, систему не ломает, жди ответа.

Вот оно как в параллельной реальности.

Достаточно помнить имя программы. Дальше уже можно искать используя пакетный менеджер.

А точное название и нужную репу взять из либастрала. И пакета может просто не быть в репах, но он есть в яндексе.

Заодно к четвёртым кедам и русификацию от третьих поставишь

Ну и шуточки.

Реальный случай доустановки через пакетный менеджер недостающих пакетов. Сначала ставишь, а потом разбираешься, а что это такое поставилось. И ведь ставится! А удалять лишнее потом не всегда хорошо - ненужный пакет может за собой потянуть кучу нужных пакетов.

Уязвимая самба была включена? Нет?

Не было никакой самбы, в игре запилена неработа в известных ей эмуляторах и виртуальных машинах - фича такая. В линуксе не поиграешь. Теперь модно так онлайновые игры апгрейдить.

Нищих, не накопивших на новый комп?

Несколько ОС на одном компе? Не, не слышали.

Ну так красная шапка и федора это несколько разные дистры.

А бесплатная из них только одна. А за ОС мы платить как-то отвыкли.

Зачем тебе офис, браузер, компилятор на виртуалке для сканнирования? Для этих целей хост нужен.

Так несколько линуксов в загрузчике, реальных а не виртуальных. И в каждом есть и браузеры и офисный пакет. Убунты нет. А сканер лучше всего работает именно в маздайке, с родными дровами.

Napilnik ★★★★★ ()
Ответ на: комментарий от anonymous

Брысь на ёлку и пока не найдёшь банан - не возвращайся.

Napilnik ★★★★★ ()
Ответ на: комментарий от anonymous

Почему твои волшебные ментейнеры например не перенесли с винды свободный кодек lagarith?

Да кому он нахрен нужен в этом десятилетии? Есть же x264 c "-crf 0".

Про кучу отсутствующих у х264 цветовых палитр, но присутствующий шарпер поисковик тебе не рассказал?

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Убери -devel от имён пакетов для компиляции и будет тебе список.

Не будет! Заголовки там не нужны.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Это у тебя странные требования - пакетить любой тестируемый файл, менять всю систему сборки чужих программ. И всё чтобы оправдать отсутствие в репе метапакетов.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Не требовал:) Он вообще в другом дистре компилировался.

В таком разе можно изобрести конвейер из `ldd твой_бинарь | xargs repoquery --whatprovides`.

dexpl ★★★★★ ()
Ответ на: комментарий от mandala

Очевидно же, что старый не устраивает, иначе ты бы о нем здесь не ныл

buddhist ★★★★★ ()
Ответ на: комментарий от mbivanyuk

Сеть была Фуршет или Сильпо, я точно не помню, но на экранах компьютеров отчётливо было видно надпись ReactOS. А что на самом деле было под капотом мне неизвестно.

DrakVLA ()
Ответ на: комментарий от Napilnik

Пять гигов

А потом - боль, потому что без офиса не откроешь doc из тырнета, а без браузера

В 3-4 гига любой вменяемый современный дистр помещается и с офисом и с браузером и с гимпами и с gcc.

Своп на виртуалке можно не делать и диск не бить - один раздел

Если и 3 гига много - то есть разный компактные, слитаз-2 у меня с браузером и абивордом/гнумериком на 270 метровом HDD помещался (на реальной машине, П2 64ram) и печать на соседнюю машину по самбе работала... Современные версии, конечно, пожирнее немного...

anonymous ()
Ответ на: комментарий от hobbit

см. чуть выше

ссылку на фото привел

anonymous ()
Ответ на: комментарий от Napilnik

Тут смеяться или плакать нужно? Не в курсе, как на такой «реальный» совет реагировать.

говнокод должен быть переписан. говнокодер должен быть научен. Или отлучён.

А точное название и нужную репу взять из либастрала

Тебе так сложно было записать какие библиотеки нужны? Или рукожопость помешала?

Не было никакой самбы

Кот бы говорил.

Несколько ОС на одном компе?

Зато слышал о боли и страданиях

А за ОС мы платить как-то отвыкли.

После введения налога на воздух вы стали меньше дышать. Это возмутительно!

Так несколько линуксов в загрузчике, реальных а не виртуальных.

Зачем реальных? У тебя железо виртуалку не тянет?

А сканер лучше всего работает именно в маздайке, с родными дровами.

Счас выяснится о том что дров для линя нет и lts не помог бы.

NextGenenration ★★ ()
Ответ на: комментарий от Napilnik

Это у тебя странные требования - пакетить любой тестируемый файл

Если я планирую переносить его между машинами, то да.

И всё чтобы оправдать отсутствие в репе метапакетов.

Метапакет тебе чего нужен? Счастья?

NextGenenration ★★ ()
Ответ на: комментарий от anonymous

А теперь, без подглядывания, вспомнить бы, накой мне советовали поставить линукс в виртуалку...

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

говнокод должен быть переписан. говнокодер должен быть научен. Или отлучён.

Это ты про ядро? Да ктож его перепишет - оно же памятник!

Тебе так сложно было записать какие библиотеки нужны? Или рукожопость помешала?

Тебе рукожопость поччему-то не мешает отвечать рандомными фразами, наверно даже помогает.

Зачем реальных? У тебя железо виртуалку не тянет?

Смотря какую и с чем. Чинить разделы тоже будешь из виртуалки?

Счас выяснится о том что дров для линя нет и lts не помог бы.

У тебя склероз, сказано же что есть, но хуже родных. А нафига лтс со всего-лишь 5 годами поддержки - это ты сам придумывай, я большой пользы от такой «длительной» поддержки не заметил.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

У тебя что скрипт на питоне?

У меня нормальный бинарь, а постоянно использовать системные заголовки - рукожопо.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Чинить разделы тоже будешь из виртуалки?

А хост куда денется?

сказано же что есть, но хуже родных

Я говорю про нормальные

NextGenenration ★★ ()

а оно будет работать на старом железе?
например semron 3000+, k8ns, radeon 9600 pro 256mb, 1gb ram DDR I

xmikex ★★★ ()
Ответ на: комментарий от NextGenenration

Метапакет тебе чего нужен? Счастья?

Метапакет для установки пачки 32 битных базовых либ для запуска бинарей. Всякие гытыка, либпнг и прочие необходимые гуёвым приложениям. Для 64 битных бинарей ведь большая часть либ после установки линукса в нём уже есть, а 32 битные надо качать поштучно. Для какого-то дистра в поисковике видел команду, которая их качает сразу много.

Napilnik ★★★★★ ()

А, так это ты на хабре «Jeditobe». Привет.

anonymous ()
Ответ на: комментарий от NextGenenration

А хост куда денется?

А у него ошибка на разделе обнаружится и загрузка не состоится. Или груб затрёшь, а его починка из чёрного окна не состоится.

Я говорю про нормальные

Совсем нормальные - на установочном диске, в win32 формате.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Очень просто, кликнул быстро мышкой два раза по скрипту, он и скомпилял, а внутри него несколько строчек на баше, в которых нет слова «gcc», зато есть «fpc».

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Выведи список пакетов, выбери из них библиотеки, добавь к ним указание архитектуры и будет тебе теоретическая возможность запустить твой бинарник. Только если бинарник требует gtk а у тебя qt всё равно не запустится.

NextGenenration ★★ ()
Ответ на: комментарий от Napilnik

А у него ошибка на разделе обнаружится и загрузка не состоится. Или груб затрёшь, а его починка из чёрного окна не состоится.

Купи флешку.

Совсем нормальные - на установочном диске, в win32 формате.

Значит нет.

NextGenenration ★★ ()
Ответ на: комментарий от NextGenenration

Нафиг нужна твоя эквилибристика, если простым трахом в консоли и так запустить можно? Вопрос, почему в ОС сразу улучшайзеров нет и всё нужно сшивать и склеивать.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Купи флешку.

Дурдом. Если линукс установлен в минимальной конфигурации, то в самый нужный момент, то одного нет, то другое не работает.

Napilnik ★★★★★ ()
Ответ на: комментарий от NextGenenration

Откуда скрипт брал?

Несколько команд стрельнул на форуме, а остальное сам написал. Откуда ещё нестандартные ништяки берутся?

Napilnik ★★★★★ ()
Ответ на: комментарий от xmikex

никто не знает.

но вероятность запустить на железе ~ 2005 года заметно выше чем на железе ~ 2010 года и новее.

Так что твоя конфа вполне подходящая.

Попробуй ради хохмы и отпишись :)

Если времени не жалко :)))))

anonymous ()
Ответ на: комментарий от Jedi-to-be

а папка efi для чего? оно и на планшете с неотключаемым UEFI в лив режиме запустится?

xmikex ★★★ ()
Ответ на: комментарий от buddhist

Менять в принципе нормальное оборудование только из-за того что оно не работает в сопряжении с новым ПО — странно. Т.е. можно конечно и нужно, но не мне: если бы сканер мне нужен был каждый день по разу хотя бы, то да — я бы не думал, а купил давно. А мне он нужен раз в полгода. Как и принтер, хорошо что тонер не сохнет.

mandala ★★★★ ()
Ответ на: комментарий от xmikex

UEFI сейчас не работает. Через UEFI ничего запустить пока что нельзя

Jedi-to-be ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.